Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class Email

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.TextNode
            |
            +--weblogic.uddi.client.structures.datatypes.Email

public class Email
extends TextNode

The email structure store a string. As the name suggest it is used for storing an email. It has as optional useType attribute for descriptive purposes. The attribute is not optional if more than one email element is used.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`value`

Constructor Summary
`Email()` Class constructor.
`Email(java.lang.String val)` Class constructor specifying the initialization value.
`Email(java.lang.String ut, java.lang.String val)` Class constructor specifying the initialization values.

Method Summary
`java.lang.String` | `getUseType()` Gets the value of the use type.
`void` | `setUseType(java.lang.String value)` Sets the value of the use type.

Methods inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Email

    public Email()

  Class constructor.

### Email

    public Email(java.lang.String val)

  Class constructor specifying the initialization value.

  Parameters:
    `val` - the value of the email.

### Email

    public Email(java.lang.String ut,
                 java.lang.String val)

  Class constructor specifying the initialization values.

  Parameters:
    `ut` - the use type of the email.
    `val` - the value of the email.

Method Detail

### getUseType

    public java.lang.String getUseType()

  Gets the value of the use type.

  Returns:
    the current value of the use type.

### setUseType

    public void setUseType(java.lang.String value)

  Sets the value of the use type.

  Parameters:
    `value` - the new value of the use type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference